<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:31 CEST 2019 -->
<title>FBParameterMetaData (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBParameterMetaData (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FBObjectListener.StatementListener.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FBPreparedStatement.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FBParameterMetaData.html" target="_top">Frames</a></li>
<li><a href="FBParameterMetaData.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.firebirdsql.jdbc.AbstractFieldMetaData">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc</div>
<h2 title="Class FBParameterMetaData" class="title">Class FBParameterMetaData</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html" title="class in org.firebirdsql.jdbc">org.firebirdsql.jdbc.AbstractFieldMetaData</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jdbc.FBParameterMetaData</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true" title="class or interface in java.sql">ParameterMetaData</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdParameterMetaData.html" title="interface in org.firebirdsql.jdbc">FirebirdParameterMetaData</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FBParameterMetaData</span>
extends <a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData</a>
implements <a href="../../../org/firebirdsql/jdbc/FirebirdParameterMetaData.html" title="interface in org.firebirdsql.jdbc">FirebirdParameterMetaData</a></pre>
<div class="block">An object that can be used to get information about the types and properties for each parameter marker in a
 <code>PreparedStatement</code> object.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:skidder@users.sourceforge.net">Nickolay Samofatov</a>, <a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.firebirdsql.jdbc.AbstractFieldMetaData">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData</a></h3>
<code><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.ExtendedFieldInfo.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData.ExtendedFieldInfo</a>, <a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.FieldKey.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData.FieldKey</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.sql.ParameterMetaData">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true" title="class or interface in java.sql">ParameterMetaData</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#parameterModeIn" title="class or interface in java.sql">parameterModeIn</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#parameterModeInOut" title="class or interface in java.sql">parameterModeInOut</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#parameterModeOut" title="class or interface in java.sql">parameterModeOut</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#parameterModeUnknown" title="class or interface in java.sql">parameterModeUnknown</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#parameterNoNulls" title="class or interface in java.sql">parameterNoNulls</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#parameterNullable" title="class or interface in java.sql">parameterNullable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#parameterNullableUnknown" title="class or interface in java.sql">parameterNullableUnknown</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBParameterMetaData.html#FBParameterMetaData-org.firebirdsql.gds.ng.fields.RowDescriptor-org.firebirdsql.jdbc.FBConnection-">FBParameterMetaData</a></span>(<a href="../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
                   <a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a>&nbsp;connection)</code>
<div class="block">Creates a new <code>FBParameterMetaData</code> instance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.FieldKey.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData.FieldKey</a>,<a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.ExtendedFieldInfo.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData.ExtendedFieldInfo</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBParameterMetaData.html#getExtendedFieldInfo-org.firebirdsql.jdbc.FBConnection-">getExtendedFieldInfo</a></span>(<a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a>&nbsp;connection)</code>
<div class="block">This method retrieves extended information from the system tables in
 a database.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBParameterMetaData.html#getParameterClassName-int-">getParameterClassName</a></span>(int&nbsp;parameter)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBParameterMetaData.html#getParameterCount--">getParameterCount</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBParameterMetaData.html#getParameterMode-int-">getParameterMode</a></span>(int&nbsp;parameter)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBParameterMetaData.html#getParameterType-int-">getParameterType</a></span>(int&nbsp;parameter)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBParameterMetaData.html#getParameterTypeName-int-">getParameterTypeName</a></span>(int&nbsp;parameter)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBParameterMetaData.html#getPrecision-int-">getPrecision</a></span>(int&nbsp;parameter)</code></td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBParameterMetaData.html#getScale-int-">getScale</a></span>(int&nbsp;parameter)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBParameterMetaData.html#isNullable-int-">isNullable</a></span>(int&nbsp;parameter)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBParameterMetaData.html#isSigned-int-">isSigned</a></span>(int&nbsp;parameter)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.jdbc.AbstractFieldMetaData">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData</a></h3>
<code><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#estimateFixedPrecision-int-">estimateFixedPrecision</a>, <a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getExtFieldInfo-int-">getExtFieldInfo</a>, <a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getFieldClassName-int-">getFieldClassName</a>, <a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getFieldCount--">getFieldCount</a>, <a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getFieldDescriptor-int-">getFieldDescriptor</a>, <a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getFieldType-int-">getFieldType</a>, <a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getFieldTypeName-int-">getFieldTypeName</a>, <a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getPrecisionInternal-int-">getPrecisionInternal</a>, <a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getRowDescriptor--">getRowDescriptor</a>, <a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getScaleInternal-int-">getScaleInternal</a>, <a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#isSignedInternal-int-">isSignedInternal</a>, <a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#isWrapperFor-java.lang.Class-">isWrapperFor</a>, <a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#unwrap-java.lang.Class-">unwrap</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.sql.Wrapper">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true#isWrapperFor-java.lang.Class-" title="class or interface in java.sql">isWrapperFor</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true#unwrap-java.lang.Class-" title="class or interface in java.sql">unwrap</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FBParameterMetaData-org.firebirdsql.gds.ng.fields.RowDescriptor-org.firebirdsql.jdbc.FBConnection-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FBParameterMetaData</h4>
<pre>protected&nbsp;FBParameterMetaData(<a href="../../../org/firebirdsql/gds/ng/fields/RowDescriptor.html" title="class in org.firebirdsql.gds.ng.fields">RowDescriptor</a>&nbsp;rowDescriptor,
                              <a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a>&nbsp;connection)
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Creates a new <code>FBParameterMetaData</code> instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>rowDescriptor</code> - a row descriptor</dd>
<dd><code>connection</code> - a <code>FBConnection</code> value</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getParameterCount--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParameterCount</h4>
<pre>public&nbsp;int&nbsp;getParameterCount()
                      throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#getParameterCount--" title="class or interface in java.sql">getParameterCount</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true" title="class or interface in java.sql">ParameterMetaData</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="isNullable-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNullable</h4>
<pre>public&nbsp;int&nbsp;isNullable(int&nbsp;parameter)
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#isNullable-int-" title="class or interface in java.sql">isNullable</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true" title="class or interface in java.sql">ParameterMetaData</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="isSigned-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSigned</h4>
<pre>public&nbsp;boolean&nbsp;isSigned(int&nbsp;parameter)
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#isSigned-int-" title="class or interface in java.sql">isSigned</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true" title="class or interface in java.sql">ParameterMetaData</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getPrecision-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPrecision</h4>
<pre>public&nbsp;int&nbsp;getPrecision(int&nbsp;parameter)
                 throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">
 <p>
 <b>NOTE</b> For <code>NUMERIC</code> and <code>DECIMAL</code> the reported precision is the maximum precision
 allowed by the underlying storage data type, it is <b>not the declared precision</b>.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#getPrecision-int-" title="class or interface in java.sql">getPrecision</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true" title="class or interface in java.sql">ParameterMetaData</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getScale-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScale</h4>
<pre>public&nbsp;int&nbsp;getScale(int&nbsp;parameter)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#getScale-int-" title="class or interface in java.sql">getScale</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true" title="class or interface in java.sql">ParameterMetaData</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getParameterType-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParameterType</h4>
<pre>public&nbsp;int&nbsp;getParameterType(int&nbsp;parameter)
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#getParameterType-int-" title="class or interface in java.sql">getParameterType</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true" title="class or interface in java.sql">ParameterMetaData</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getParameterTypeName-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParameterTypeName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getParameterTypeName(int&nbsp;parameter)
                            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#getParameterTypeName-int-" title="class or interface in java.sql">getParameterTypeName</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true" title="class or interface in java.sql">ParameterMetaData</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getParameterClassName-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParameterClassName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getParameterClassName(int&nbsp;parameter)
                             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#getParameterClassName-int-" title="class or interface in java.sql">getParameterClassName</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true" title="class or interface in java.sql">ParameterMetaData</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getParameterMode-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParameterMode</h4>
<pre>public&nbsp;int&nbsp;getParameterMode(int&nbsp;parameter)
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#getParameterMode-int-" title="class or interface in java.sql">getParameterMode</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true" title="class or interface in java.sql">ParameterMetaData</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getExtendedFieldInfo-org.firebirdsql.jdbc.FBConnection-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getExtendedFieldInfo</h4>
<pre>protected&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.FieldKey.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData.FieldKey</a>,<a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.ExtendedFieldInfo.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData.ExtendedFieldInfo</a>&gt;&nbsp;getExtendedFieldInfo(<a href="../../../org/firebirdsql/jdbc/FBConnection.html" title="class in org.firebirdsql.jdbc">FBConnection</a>&nbsp;connection)
                                                                                                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">This method retrieves extended information from the system tables in
 a database. Since this method is expensive, use it with care.
 <p>
 <code>FBParameterMetaData</code> does not support extended field info, so it always returns an empty Map.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html#getExtendedFieldInfo-org.firebirdsql.jdbc.FBConnection-">getExtendedFieldInfo</a></code>&nbsp;in class&nbsp;<code><a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.html" title="class in org.firebirdsql.jdbc">AbstractFieldMetaData</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>mapping between <a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.FieldKey.html" title="class in org.firebirdsql.jdbc"><code>AbstractFieldMetaData.FieldKey</code></a> instances and <a href="../../../org/firebirdsql/jdbc/AbstractFieldMetaData.ExtendedFieldInfo.html" title="class in org.firebirdsql.jdbc"><code>AbstractFieldMetaData.ExtendedFieldInfo</code></a> instances,
 or an empty Map if the metadata implementation does not support extended info.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database error occurs while obtaining extended field information.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FBObjectListener.StatementListener.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FBPreparedStatement.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FBParameterMetaData.html" target="_top">Frames</a></li>
<li><a href="FBParameterMetaData.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.firebirdsql.jdbc.AbstractFieldMetaData">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
